#ifdef GL_ES 
precision lowp float; 
#endif 

varying vec4 v_fragmentColor; 
varying vec2 v_texCoord; 
uniform sampler2D CC_Texture0;

void main()
{
	vec4 sum = vec4(0);

	for(int i= -4; i < 4; i++)
	{
        for (int j = -4; j < 4; j++)
        {
            sum += texture2D(CC_Texture0, v_texCoord + vec2(j, i) * 0.004) * 0.25;
        }
	}

	gl_FragColor = sum * sum * 0.012 + texture2D(CC_Texture0, v_texCoord);
}

/* void main()  */
/* {  */
/* 	float plus = 0.5; */
/* 	vec4 color = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);	 */
/* 	float r = color.x * (1.0 + plus); */
/* 	if (r > 1.0) */
/* 	{ */
/* 		r = 1.0; */
/* 	} */
/* 	float g = color.y * (1.0 + plus); */
/* 	if (g > 1.0)  */
/* 	{ */
/* 		g = 1.0; */
/* 	} */
/* 	float b = color.z * (1.0 + plus); */
/* 	if (b > 1.0) */
/* 	{ */
/* 		b = 1.0; */
/* 	} */
/* 	gl_FragColor = vec4(r, g, b, color.a); */
/* } */
